/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.1.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package org.peertube.client.models

import org.peertube.client.models.RegisterUserChannel

import com.squareup.moshi.Json
/**
 * 
 * @param username The username of the user 
 * @param password The password of the user 
 * @param email The email of the user 
 * @param displayName The user display name
 * @param channel 
 */

data class RegisterUser (
    /* The username of the user  */
    @Json(name = "username")
    val username: kotlin.String,
    /* The password of the user  */
    @Json(name = "password")
    val password: kotlin.String,
    /* The email of the user  */
    @Json(name = "email")
    val email: kotlin.String,
    /* The user display name */
    @Json(name = "displayName")
    val displayName: kotlin.String? = null,
    @Json(name = "channel")
    val channel: RegisterUserChannel? = null
) 



